## pyorbital 1.7.3

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyorbital.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyorbital.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyorbital"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyorbital"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pyorbital 0.3.2

=== debian/changelog ===
pyorbital (0.3.2-1) unstable; urgency=low

  * Initial release (Closes: #752258)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 22 Jun 2014 12:53:26 +0000

=== debian/control ===
Source: pyorbital
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper (>= 9.0.0),
               dh-python,
               python-setuptools,
               python-all,
               python-numpy,
               python-sphinx
Standards-Version: 3.9.5
Homepage: https://github.com/mraspaud/pyorbital
Vcs-Git: http://anonscm.debian.org/git/pkg-grass/pyorbital.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/pyorbital.git;a=summary
XS-Testsuite: autopkgtest

Package: python-pyorbital
Architecture: all
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-numpy
Description: Orbital and astronomy computations in Python
 Python package for computing orbital parameters from TLE
 files, and making diverse astronomical computations.
 .
 This package is part of the PyTroll toolset.

=== debian/tests/control ===
Tests: python2
Depends: python-pyorbital, python-all

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://githubredir.debian.net/github/mraspaud/pyorbital/ v(.*)\.tar\.gz

## pyorbital 1.0.0

=== debian/changelog ===
pyorbital (1.0.0-1) unstable; urgency=medium

  * New upstream release (Closes: #814071)
  * Fix debian/watch file
  * Refresh all patches
  * Bump standard version to 3.9.7 (no change)
  * debian/control
    - fix VCS URLs
  * debian/patches
    - new patch to relax test condition in test_astronomy,py 

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 16 Feb 2016 20:05:23 +0000

=== debian/control ===
Source: pyorbital
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9.0.0),
               dh-python,
               python-setuptools,
               python-all,
               python-numpy,
               python-sphinx
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pyorbital.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pyorbital.git
Homepage: https://github.com/mraspaud/pyorbital

Package: python-pyorbital
Architecture: all
Depends: ${shlibs:Depends},
         ${python:Depends},
         ${misc:Depends},
         python-numpy
Description: Orbital and astronomy computations in Python
 Python package for computing orbital parameters from TLE
 files, and making diverse astronomical computations.
 .
 This package is part of the PyTroll toolset.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PY2VERS = $(shell pyversions -r -v)


%:
	dh $@ --with python2,sphinxdoc --buildsystem=python_distutils


override_dh_auto_build:
	dh_auto_build --buildsystem=python_distutils
	$(MAKE) -C doc html


override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e -x; \
	for py in $(PY2VERS); do \
		env PYTHONPATH=. python$$py setup.py test; \
	done
endif


override_dh_auto_clean:
	dh_auto_clean --buildsystem=python_distutils
	$(RM) -r pyorbital.egg-info
	$(MAKE) -C doc clean


.PHONY: override_dh_auto_build, override_dh_autoclean, override_dh_auto_test

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pyorbital-$1\.tar\.gz/ \
  https://github.com/pytroll/pyorbital/tags .*/v(\d\S*)\.tar\.gz

## pyorbital 1.0.1

=== debian/changelog ===
pyorbital (1.0.1-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream version
  * Remove 0002-relax-astronomy-test-condition.patch applied upstream
  * Switch to pybuild build system
  * Use dh --parallel in debian/rules

  [ Bas Couwenberg ]
  * Update watch file to handle common issues.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Feb 2016 10:38:39 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


export PYBUILD_NAME=pyorbital


%:
	dh $@ --parallel --with python2,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build --buildsystem=pybuild
	$(MAKE) -C doc html

## pyorbital 1.1.1

=== debian/changelog ===
pyorbital (1.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 10 Jan 2017 19:48:45 +0000

pyorbital (1.1.0-2) unstable; urgency=medium

  [ Antonio Valentino ]
  * debian/control
    - fix Breaks and Replaces fields (Closes: #843352)

  [ Bas Couwenberg ]
  * Fix control file with cme.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 06 Nov 2016 09:00:39 +0000

pyorbital (1.1.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Team upload.
  * Override dh_python2 to call dh_numpy too.

  [ Antonio Valentino ]
  * New upstream release
  * Bump standard version to 3.9.8 (no change)
  * debian/copyright
    - fix the URL protocol of the Format field
  * New package for Python 3
  * New package for the HTMK documentation (previously included in
    the python-pyorbital package)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 30 Oct 2016 09:04:12 +0000

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,18 @@
 Build-Depends: debhelper (>= 9.0.0),
                dh-python,
                python-setuptools,
+               python3-setuptools,
                python-all,
+               python3-all,
                python-numpy,
+               python3-numpy,
                python-sphinx
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pyorbital.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pyorbital.git
 Homepage: https://github.com/mraspaud/pyorbital
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 
 Package: python-pyorbital
 Architecture: all
@@ -21,8 +26,40 @@
          ${python:Depends},
          ${misc:Depends},
          python-numpy
-Description: Orbital and astronomy computations in Python
+Suggests: python-pyorbital-doc
+Description: Orbital and astronomy computations in Python 2
  Python package for computing orbital parameters from TLE
  files, and making diverse astronomical computations.
  .
  This package is part of the PyTroll toolset.
+ .
+ This is the Python 2 version of the package.
+
+Package: python3-pyorbital
+Architecture: all
+Depends: ${shlibs:Depends},
+         ${python3:Depends},
+         ${misc:Depends},
+         python3-numpy
+Suggests: python-pyorbital-doc
+Description: Orbital and astronomy computations in Python 3
+ Python package for computing orbital parameters from TLE
+ files, and making diverse astronomical computations.
+ .
+ This package is part of the PyTroll toolset.
+ .
+ This is the Python 3 version of the package.
+
+Package: python-pyorbital-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
+Suggests: www-browser
+Breaks: python-pyorbital (<< 1.1.0-1)
+Replaces: python-pyorbital (<< 1.1.0-1)
+Description: Orbital and astronomy computations in Python (documentation)
+ Python package for computing orbital parameters from TLE
+ files, and making diverse astronomical computations.
+ .
+ This package contains the common HTML documentation.

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,21 @@
 
 
 %:
-	dh $@ --parallel --with python2,sphinxdoc --buildsystem=pybuild
+	dh $@ --parallel --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 
 override_dh_auto_build:
 	dh_auto_build --buildsystem=pybuild
+ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) -C doc html
+endif
+
+
+override_dh_python2:
+	dh_python2 -ppython-pyorbital
+	dh_numpy -ppython-pyorbital
+
+
+override_dh_python3:
+	dh_python3 -ppython3-pyorbital
+	dh_numpy3 -ppython3-pyorbital

## pyorbital 1.2.0

=== debian/changelog ===
pyorbital (1.2.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Add python3-sphinx to build dependencies.
  * Strip trailing whitespace from changelog.
  * Update copyright file, changes:
    - Group copyright holders by license
    - Strip .0 from GPL license shortname.

  [ Antonio Valentino ]
  * New upstream release
  * Standard version bumped to 4.1.3 (no change)
  * debian/control:
    - remove un-necessary Testsuite field
    - declare the *-doc package Multi-Arch foreign
  * Set compat to 11
  * debian/rules
    - remove unnecessary dh argument: --parallel

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 18 Feb 2018 09:58:31 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
-Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python-setuptools,
                python3-setuptools,
@@ -12,8 +11,9 @@
                python3-all,
                python-numpy,
                python3-numpy,
-               python-sphinx
-Standards-Version: 3.9.8
+               python-sphinx,
+               python3-sphinx
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pyorbital.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pyorbital.git
 Homepage: https://github.com/mraspaud/pyorbital
@@ -52,6 +52,7 @@
 
 Package: python-pyorbital-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 
 %:
-	dh $@ --parallel --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 
 override_dh_auto_build:

=== debian/tests/control ===
Tests: python2
Depends: python-pyorbital, python-all

Tests: python3
Depends: python3-pyorbital, python3-all

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|pyorbital)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pyorbital-$1.$2/ \
https://github.com/pytroll/pyorbital/releases \
(?:.*?/)?(?:rel|v|pyorbital)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyorbital 1.3.1

=== debian/changelog ===
pyorbital (1.3.1-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * Standard version bump to v4.1.4 (no change).
  * debian/patches
    - refresh all patches
  * debian/control
    - fix Homepage URL
  * Add upstream metadata.

  [ Bas Couwenberg ]
  * Update Vcs-* URLs for Salsa.
  * Fix name in upstream metadata.
  * Fix Source URL in copyright file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 12 Apr 2018 06:20:26 +0000

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
                python3-numpy,
                python-sphinx,
                python3-sphinx
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pyorbital.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pyorbital.git
-Homepage: https://github.com/mraspaud/pyorbital
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyorbital
+Vcs-Git: https://salsa.debian.org/debian-gis-team/pyorbital.git
+Homepage: https://github.com/pytroll/pyorbital
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

## pyorbital 1.5.0

=== debian/changelog ===
pyorbital (1.5.0-4) unstable; urgency=medium

  * Remove python2 from debian/tests

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 24 Jul 2019 05:27:41 +0000

pyorbital (1.5.0-3) unstable; urgency=medium

  [ Antonio Valentino ]
  * Bump Standards-Version to 4.4.0, no changes.
  * Update gbp.conf to use --source-only-changes by default.
  * Drop Python 2 support.
  * Set compat to 12.

  [ Bas Couwenberg ]
  * Drop ${shlibs:Depends} for arch: all packages.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Jul 2019 14:18:08 +0000

pyorbital (1.5.0-2) unstable; urgency=medium

  * debian/patches
    - new 0002-Skip-tests-if-data-are-not-available.patch
      to skip tests that use data that are not installed.
      Fixex a debian ci issue.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 23 Dec 2018 07:31:41 +0000

pyorbital (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches
    - drop 0001-install-test-sub-package.patch: no longer necessary.
    - refresh and renumber remaining patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 20 Dec 2018 07:17:33 +0000

pyorbital (1.4.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Drop ancient X-Python{,3}-Version fields.
  * Bump Standards-Version to 4.2.1, no changes.
  * Update watch file to limit matches to archive path.
  * Replace tabs with spaces in control file.

  [ Antonio Valentino ]
  * New upstream release.
  * Update copyright file.
  * debian/control
    - add dependency from scipy
    - recommend dask and xarray
  * debian/rules
    - duild sphinx doc using Python 3
  * debian/patches
    - refresh all patches.
    - new 0002-Skip-tests-using-on-xarray-or-dask-if-they-are-not-a.patch.
      Skip tests using dask or xarray if they are not available.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 11 Nov 2018 10:21:51 +0000

=== debian/control ===
Source: pyorbital
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Build-Depends: debhelper (>= 12),
               dh-python,
               python3-all,
               python3-dask,
               python3-numpy,
               python3-scipy,
               python3-setuptools,
               python3-sphinx,
               python3-xarray
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyorbital
Vcs-Git: https://salsa.debian.org/debian-gis-team/pyorbital.git
Homepage: https://github.com/pytroll/pyorbital

Package: python3-pyorbital
Architecture: all
Depends: python3-numpy,
         python3-scipy,
         ${python3:Depends},
         ${misc:Depends}
Recommends: python3-dask,
            python3-xarray
Suggests: python-pyorbital-doc
Description: Orbital and astronomy computations in Python 3
 Python package for computing orbital parameters from TLE
 files, and making diverse astronomical computations.
 .
 This package is part of the PyTroll toolset.
 .
 This is the Python 3 version of the package.

Package: python-pyorbital-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: www-browser
Description: Orbital and astronomy computations in Python (documentation)
 Python package for computing orbital parameters from TLE
 files, and making diverse astronomical computations.
 .
 This package contains the common HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


export PYBUILD_NAME=pyorbital


%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build --buildsystem=pybuild
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -N -bhtml doc/source/ doc/build/html # HTML generator
endif


override_dh_python3:
	dh_python3 -ppython3-pyorbital
	dh_numpy3 -ppython3-pyorbital

=== debian/tests/control ===
Tests: python3
Depends: python3-pyorbital, python3-all

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|pyorbital)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pyorbital-$1.$2/ \
https://github.com/pytroll/pyorbital/releases \
(?:.*?/archive/)?(?:rel|v|pyorbital)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyorbital 1.6.0

=== debian/changelog ===
pyorbital (1.6.0-3) unstable; urgency=medium

  [ Antonio Valentino ]
  * debian/tests/control:
    - update test dependencies (also depend on xarray and dask)
  * debian/patches:
    - drop 0001-Skip-tests-using-on-xarray-or-dask-if-they-are-not-a.patch,
      no longer necessary.
      Now the presence of xarray and dask is ensured during tests.
    - refresh and renumber all patches
    - new 0002-Fix-tests.patch, fix unittests on i386 platforms

  [ Bas Couwenberg ]
  * Add lintian override for embedded-javascript-library.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 20 Jul 2020 16:23:25 +0000

pyorbital (1.6.0-2) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Add python3-requests to python3-pyorbital Depends for tlefile.

  [ Antonio Valentino ]
  * Add python3-requests to build dependencies

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 03 Jul 2020 17:15:20 +0200

pyorbital (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/compat file, and depend on debelper-compat.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Name field from upstream metadata.
  * debian/patches:
    - refresh all patches
  * Update debian/copyright.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.
  * Add examples.
  * debian/control:
    - explicitly specify Rules-Requires-Root: no
  * Install script and manpage.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 28 Jun 2020 15:25:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,18 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-dask,
                python3-numpy,
+               python3-requests,
                python3-scipy,
                python3-setuptools,
                python3-sphinx,
                python3-xarray
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyorbital
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyorbital.git
 Homepage: https://github.com/pytroll/pyorbital
@@ -20,6 +22,7 @@
 Package: python3-pyorbital
 Architecture: all
 Depends: python3-numpy,
+         python3-requests,
          python3-scipy,
          ${python3:Depends},
          ${misc:Depends}

## pyorbital 1.7.1

=== debian/changelog ===
pyorbital (1.7.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update d/copyright file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 23 Dec 2021 16:51:01 +0000

pyorbital (1.6.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update watch file for GitHub URL changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update the debian/copyright file.
  * debian/patches:
    - drop 0001-Skip-tests-if-data-are-not-available.patch,
      applied upstream.
    - drop 0002-Fix-tests.patch, applied upstream.
  * debian/doc updated (README renamed into README.md).
  * Update debian/*.lintian-overrides

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 17 Aug 2021 15:21:52 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-setuptools,
                python3-sphinx,
                python3-xarray
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyorbital
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyorbital.git
 Homepage: https://github.com/pytroll/pyorbital

=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,14 @@
 override_dh_auto_build: export https_proxy=127.0.0.1:9
 override_dh_auto_build:
 	dh_auto_build --buildsystem=pybuild
-ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx -N -bhtml doc/source/ doc/build/html # HTML generator
 endif
+
+
+override_dh_auto_install:
+	dh_auto_install --buildsystem=pybuild
+	mv debian/python3-pyorbital/usr/bin/fetch_tles.py debian/python3-pyorbital/usr/bin/fetch_tles
 
 
 override_dh_python3:

## pyorbital 1.7.3

=== debian/changelog ===
pyorbital (1.7.3-2) unstable; urgency=medium

  [ Antonio Valentino ]
  * Improve d/python3-pyorbital.lintian-overrides formatting.
  * debian/patches:
    - new 0001-Fix-floating-point-comparison.patch (Closes: #1030492).
  * Update dates in d/copyright.

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.
  * Enable Salsa CI.
  * Bump Standards-Version to 4.6.2, no changes.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 04 Feb 2023 08:51:37 +0000

pyorbital (1.7.3-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.
  * Use supported python3 versions in autopkgtest.

  [ Antonio Valentino ]
  * New upstream release.
  * Update lintian overrides.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 12 Jul 2022 06:45:58 +0000

=== debian/control ===
--- 
+++ 
@@ -14,15 +14,14 @@
                python3-setuptools,
                python3-sphinx,
                python3-xarray
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyorbital
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyorbital.git
 Homepage: https://github.com/pytroll/pyorbital
 
 Package: python3-pyorbital
 Architecture: all
-Depends: python3-numpy,
-         python3-requests,
+Depends: python3-requests,
          python3-scipy,
          ${python3:Depends},
          ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,numpy3,sphinxdoc --buildsystem=pybuild
 
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9
@@ -28,4 +28,7 @@
 
 override_dh_python3:
 	dh_python3 -ppython3-pyorbital
+
+
+override_dh_numpy3:
 	dh_numpy3 -ppython3-pyorbital

=== debian/tests/control ===
Tests: python3
Depends: python3-pyorbital, python3-all, python3-xarray, python3-dask

## pyorbital 1.8.0

=== debian/changelog ===
pyorbital (1.8.0-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Remove generated files in clean target.
    (closes: #1045918)
  * Use execute_after instead of override in rules file.

  [ Antonio Valentino ]
  * debian/control:
    - Use the <!nocheck> and <!nodoc> markers.
    - Update the package description.
    - Add build dependency on dh-sequence-numpy3.
  * Switch to Testsuite: autopkgtest-pkg-pybuild and remove
    the no longer needed d/tests folder.
  * debian/rules:
    - Drop unneeded target overrides.
  * Update doc build.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 13 Aug 2023 22:47:18 +0000

pyorbital (1.8.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump debhelper compat to 13.

  [ Antonio Valentino ]
  * New upstream release.
  * Update d/copyright.
  * debian/control:
    - add build dependency on pytest.
  * Fix autopkgtests.
  * debian/patches:
    - drop 0001-Fix-floating-point-comparison.patch,
      applied upstream.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 14 Jul 2023 08:13:29 +0000

=== debian/control ===
Source: pyorbital
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               python3-all,
               python3-dask,
               python3-numpy,
               python3-pytest <!nocheck>,
               python3-requests,
               python3-scipy,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-xarray
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyorbital
Vcs-Git: https://salsa.debian.org/debian-gis-team/pyorbital.git
Homepage: https://github.com/pytroll/pyorbital
Description: Orbital and astronomy computations in Python
 Python package for computing orbital parameters from TLE
 files, and making diverse astronomical computations.
 .
 This package is part of the PyTroll toolset.

Package: python3-pyorbital
Architecture: all
Depends: python3-requests,
         python3-scipy,
         ${python3:Depends},
         ${misc:Depends}
Recommends: python3-dask,
            python3-xarray
Suggests: python-pyorbital-doc
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python-pyorbital-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: www-browser
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package contains the common HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PYBUILD_NAME=pyorbital
export PYBUILD_TEST_ARGS=--pyargs ${PYBUILD_NAME}

%:
	dh $@ --with python3,numpy3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) python3 -m sphinx -N -E -T -b html doc/source/ $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

execute_after_dh_auto_install:
	mv debian/python3-pyorbital/usr/bin/fetch_tles.py debian/python3-pyorbital/usr/bin/fetch_tles

## pyorbital 1.8.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyorbital.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyorbital.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pyorbital (1.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 10 Feb 2024 09:03:41 +0000

pyorbital (1.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.
  * debian/control:
    - Add build-dependency on python3-sphinx-rtd-theme and
      libjs-jquery-datatables.
  * debian/patches:
    - New 0001-Fix-pricacy-breach.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 06 Jan 2024 14:53:29 +0000

pyorbital (1.8.0-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Switch to dh-sequence-*.
  * Override dh_numpy3 to fix unused substitution variable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Dec 2023 14:43:23 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-numpy3,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc,
+               libjs-jquery-datatables <!nodoc>,
                python3-all,
                python3-dask,
                python3-numpy,
@@ -16,6 +19,7 @@
                python3-scipy,
                python3-setuptools,
                python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
                python3-xarray
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyorbital
@@ -44,7 +48,8 @@
 Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
-         ${sphinxdoc:Depends}
+         ${sphinxdoc:Depends},
+         libjs-jquery-datatables
 Suggests: www-browser
 Description: ${source:Synopsis} (documentation)
  ${source:Extended-Description}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export PYBUILD_NAME=pyorbital
export PYBUILD_TEST_ARGS=--pyargs ${PYBUILD_NAME}

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) python3 -m sphinx -N -E -T -b html doc/source $(CURDIR)/.pybuild/docs/html
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

execute_after_dh_auto_install:
	mv debian/python3-pyorbital/usr/bin/fetch_tles.py debian/python3-pyorbital/usr/bin/fetch_tles

override_dh_numpy3:
	dh_numpy3 -p python3-pyorbital

## pyorbital 1.8.3

=== debian/changelog ===
pyorbital (1.8.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 29 Jun 2024 10:56:46 +0000

pyorbital (1.8.2-2) unstable; urgency=medium

  * debian/patches:
    - New 0002-Fix-broken-test-on-i386.patch (Closes: #1068646).
  * debian/riles:
    - Skip broken tests.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 13 Apr 2024 16:00:28 +0000

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # export DH_VERBOSE=1
 
 export PYBUILD_NAME=pyorbital
-export PYBUILD_TEST_ARGS=--pyargs ${PYBUILD_NAME}
+export PYBUILD_TEST_ARGS=-k "not TestGetObserverLook" --pyargs ${PYBUILD_NAME}
 
 %:
 	dh $@ --buildsystem=pybuild

## pyorbital 1.9.2

=== debian/changelog ===
pyorbital (1.9.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 16 Dec 2024 17:25:08 +0000

pyorbital (1.9.1-2) unstable; urgency=medium

  * debian/patches:
    - New 0003-Reproducible-build.patch (Closes: #1089011).
  * Update d/copyright:
    - Update dates.
    - Drop unused license entries.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 07 Dec 2024 10:40:12 +0000

pyorbital (1.9.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - Refresh all patches.
  * debian/copyright:
    - Remove copyright entry from versioneer.
  * debian/control:
    - Add dependency on pybuild-plugin-pyproject,
      python3-hatchling, and python3-hatch-vcs.
    - Drop dependency on python3-setuptools.
  * debian/rules:
    - Skip broken test.
    - Fix permissions.
  * Update d/clean.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 03 Dec 2024 23:59:37 +0000

=== debian/control ===
--- 
+++ 
@@ -11,17 +11,19 @@
                dh-sequence-python3,
                dh-sequence-sphinxdoc,
                libjs-jquery-datatables <!nodoc>,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-dask,
+               python3-hatchling,
+               python3-hatch-vcs,
                python3-numpy,
                python3-pytest <!nocheck>,
                python3-requests,
                python3-scipy,
-               python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-xarray
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyorbital
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyorbital.git
 Homepage: https://github.com/pytroll/pyorbital

## pyorbital 1.10.0

=== debian/changelog ===
pyorbital (1.10.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update dates in d/copyright.
  * debian/patches:
    - Drop 0002-Fix-broken-test-on-i386.patch
      (didn't actually solve the issue on i386).
    - Renumber remaining patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 12 Apr 2025 07:47:20 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-xarray
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyorbital
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyorbital.git
 Homepage: https://github.com/pytroll/pyorbital

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,10 @@
 # export DH_VERBOSE=1
 
 export PYBUILD_NAME=pyorbital
-export PYBUILD_TEST_ARGS=-k "not TestGetObserverLook" --pyargs ${PYBUILD_NAME}
+export PYBUILD_TEST_ARGS=\
+-k "not TestGetObserverLook \
+and not test_tle_instance_printing" \
+--pyargs ${PYBUILD_NAME}
 
 %:
 	dh $@ --buildsystem=pybuild
@@ -20,6 +23,7 @@
 
 execute_after_dh_auto_install:
 	mv debian/python3-pyorbital/usr/bin/fetch_tles.py debian/python3-pyorbital/usr/bin/fetch_tles
+	chmod -x debian/python3-pyorbital/usr/lib/python3*/*-packages/pyorbital/*py
 
 override_dh_numpy3:
 	dh_numpy3 -p python3-pyorbital

## pyorbital 1.10.2

=== debian/changelog ===
pyorbital (1.10.2-2) unstable; urgency=medium

  * devian/patches:
    - New 0003-Pytest-3.4-compat.patch (Closes: #1114280).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Sep 2025 09:01:39 +0000

pyorbital (1.10.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add dependency on pyproj.
  * Set upstream metadata fields: Documentation.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Aug 2025 09:16:30 +0000

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,8 @@
                python3-hatchling,
                python3-hatch-vcs,
                python3-numpy,
+               python3-numpy-dev,
+               python3-pyproj,
                python3-pytest <!nocheck>,
                python3-requests,
                python3-scipy,

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|pyorbital)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pyorbital-$1.$2/ \
https://github.com/pytroll/pyorbital/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|pyorbital)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyorbital 1.11.0

=== debian/changelog ===
pyorbital (1.11.0-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - Drop 0003-Pytest-8.4-compat.patch, applied upstream.
  * debian/control:
    - Add dependency on python3-donfig.

  [ Bas Couwenberg ]
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 22 Nov 2025 09:23:51 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Priority: optional
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -14,6 +13,7 @@
                pybuild-plugin-pyproject,
                python3-all,
                python3-dask,
+               python3-donfig,
                python3-hatchling,
                python3-hatch-vcs,
                python3-numpy,

## pyorbital 1.12.0

=== debian/changelog ===
pyorbital (1.12.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/copyright:
    - Project re-licensed to Apache-2.0.
    - Update copyright dates.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 07 Feb 2026 11:30:23 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
-Priority: optional
 Testsuite: autopkgtest-pkg-pybuild
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -25,7 +24,7 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-xarray
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyorbital
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyorbital.git
 Homepage: https://github.com/pytroll/pyorbital
